# Uses of Interface
org.eclipse.emf.compare.match.eobject.WeightProvider

Packages that use WeightProvider
Package
Description
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.match.eobject.internal
org.eclipse.emf.compare.rcp.internal.match

## Uses of WeightProvider in org.eclipse.emf.compare.match.eobject

Classes in org.eclipse.emf.compare.match.eobject that implement WeightProvider
Modifier and Type
Class
Description
`class`
`AbstractWeightProvider`
Abstract implementation which is parameterized to set weights based on features, to ignore features and consider "name" features as more important.
`class`
`DefaultWeightProvider`
The default implementation of `WeightProvider` applicable to all objects.
`class`
`EcoreWeightProvider`
The implementation of `WeightProvider` applicable to all ecore objects.
Methods in org.eclipse.emf.compare.match.eobject that return WeightProvider
Modifier and Type
Method
Description
`WeightProvider`
WeightProvider.Descriptor.Registry.`getHighestRankingWeightProvider(EPackage ePackage)`
Retrieve the highest ranking weight provider from a given `ePackage`.
`WeightProvider`
WeightProviderDescriptorRegistryImpl.`getHighestRankingWeightProvider(EPackage ePackage)`
Retrieve the highest ranking weight provider from a given `ePackage`.
`WeightProvider`
WeightProvider.Descriptor.`getWeightProvider()`
Returns the wrapped weight provider.
Methods in org.eclipse.emf.compare.match.eobject that return types with arguments of type WeightProvider
Modifier and Type
Method
Description
`Collection<WeightProvider>`
WeightProvider.Descriptor.Registry.`getWeightProviders(EPackage ePackage)`
Retrieve the weight providers from a given `ePackage`.
`com.google.common.collect.ImmutableList<WeightProvider>`
WeightProviderDescriptorRegistryImpl.`getWeightProviders(EPackage ePackage)`
Retrieve the weight providers from a given `ePackage`.
Methods in org.eclipse.emf.compare.match.eobject with parameters of type WeightProvider
Modifier and Type
Method
Description
`EditionDistance.Builder`
EditionDistance.Builder.`weightProvider(WeightProvider provider)`
Configure custom weight provider.

## Uses of WeightProvider in org.eclipse.emf.compare.match.eobject.internal

Methods in org.eclipse.emf.compare.match.eobject.internal that return WeightProvider
Modifier and Type
Method
Description
`WeightProvider`
WeightProviderDescriptorImpl.`getWeightProvider()`
Returns the wrapped weight provider.
Constructors in org.eclipse.emf.compare.match.eobject.internal with parameters of type WeightProvider
Modifier
Constructor
Description
``
`WeightProviderDescriptorImpl(WeightProvider weightProvider, int r, Pattern nsURI)`
Creates the descriptor from an existing weight provider.

## Uses of WeightProvider in org.eclipse.emf.compare.rcp.internal.match

Methods in org.eclipse.emf.compare.rcp.internal.match that return WeightProvider
Modifier and Type
Method
Description
`WeightProvider`
WeightProviderDescriptorRCPImpl.`getWeightProvider()`
Returns the wrapped weight provider.